<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/RegistrationManager/include/RegistrationManager/CustomerDataManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b14333b5607b47fe7356eaa790107bd3.html">RegistrationManager</a></li><li class="navelem"><a class="el" href="dir_82c30e042dc7afd8546dd92e314e84ca.html">include</a></li><li class="navelem"><a class="el" href="dir_6a568f4c47ff8f5c05d806b725a69572.html">RegistrationManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CustomerDataManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_customer_data_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_REGISTRATIONMANAGER_INCLUDE_REGISTRATIONMANAGER_CUSTOMERDATAMANAGER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_REGISTRATIONMANAGER_INCLUDE_REGISTRATIONMANAGER_CUSTOMERDATAMANAGER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;unordered_set&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_customer_data_handler_8h.html">RegistrationManager/CustomerDataHandler.h</a>&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>registrationManager {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">   32</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">CustomerDataManager</a> {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#ad6174fcb85b26fd75386628e5512cc6f">~CustomerDataManager</a>();</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#ad188ff69006a6a0b5c4358395c4169e7">addDataHandler</a>(<a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">CustomerDataHandler</a>* handler);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a57106d24e47a5243a5a3ecae22e2c4cd">removeDataHandler</a>(<a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">CustomerDataHandler</a>* handler);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a2bb3772f15529d8543af5ae64935ef3e">clearData</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    std::unordered_set&lt;CustomerDataHandler*&gt; m_dataHandlers;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;};</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}  <span class="comment">// namespace registrationManager</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_REGISTRATIONMANAGER_INCLUDE_REGISTRATIONMANAGER_CUSTOMERDATAMANAGER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager_html_ad188ff69006a6a0b5c4358395c4169e7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#ad188ff69006a6a0b5c4358395c4169e7">alexaClientSDK::registrationManager::CustomerDataManager::addDataHandler</a></div><div class="ttdeci">void addDataHandler(CustomerDataHandler *handler)</div><div class="ttdef"><b>Definition:</b> CustomerDataManager.cpp:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager_html_ad6174fcb85b26fd75386628e5512cc6f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#ad6174fcb85b26fd75386628e5512cc6f">alexaClientSDK::registrationManager::CustomerDataManager::~CustomerDataManager</a></div><div class="ttdeci">virtual ~CustomerDataManager()</div><div class="ttdef"><b>Definition:</b> CustomerDataManager.cpp:56</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">alexaClientSDK::registrationManager::CustomerDataManager</a></div><div class="ttdef"><b>Definition:</b> CustomerDataManager.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager_html_a57106d24e47a5243a5a3ecae22e2c4cd"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a57106d24e47a5243a5a3ecae22e2c4cd">alexaClientSDK::registrationManager::CustomerDataManager::removeDataHandler</a></div><div class="ttdeci">void removeDataHandler(CustomerDataHandler *handler)</div><div class="ttdef"><b>Definition:</b> CustomerDataManager.cpp:44</div></div>
<div class="ttc" id="_customer_data_handler_8h_html"><div class="ttname"><a href="_customer_data_handler_8h.html">CustomerDataHandler.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager_html_a2bb3772f15529d8543af5ae64935ef3e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a2bb3772f15529d8543af5ae64935ef3e">alexaClientSDK::registrationManager::CustomerDataManager::clearData</a></div><div class="ttdeci">void clearData()</div><div class="ttdef"><b>Definition:</b> CustomerDataManager.cpp:49</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">alexaClientSDK::registrationManager::CustomerDataHandler</a></div><div class="ttdef"><b>Definition:</b> CustomerDataHandler.h:33</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
